import { OnInit } from '@angular/core';
import { ImageMetadata } from './types';
import * as i0 from "@angular/core";
export declare class ImageComponent implements OnInit {
    props: ImageMetadata;
    available: boolean;
    isPreviewOpen: boolean;
    zoomLevel: number;
    minZoom: number;
    maxZoom: number;
    panX: number;
    panY: number;
    isDragging: boolean;
    lastPanX: number;
    lastPanY: number;
    startX: number;
    startY: number;
    initialDistance: number;
    initialZoom: number;
    touches: Touch[];
    Math: Math;
    constructor();
    ngOnInit(): void;
    changeToVisible(): void;
    openPreview(): void;
    closePreview(): void;
    zoomIn(): void;
    zoomOut(): void;
    resetZoom(): void;
    onMouseDown(event: MouseEvent): void;
    onMouseMove(event: MouseEvent): void;
    onMouseUp(event: MouseEvent): void;
    onTouchStart(event: TouchEvent): void;
    onTouchMove(event: TouchEvent): void;
    onTouchEnd(event: TouchEvent): void;
    onWheel(event: WheelEvent): void;
    private getDistance;
    onKeyDown(event: KeyboardEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ImageComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ImageComponent, "val-image", never, { "props": { "alias": "props"; "required": false; }; }, {}, never, never, true, never>;
}
